Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1737)

Issue 3743045: DOC: NR Dynamics context and postfix dynamics (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 6 months ago by Keith
Modified:
8 years, 6 months ago
Reviewers:
t.daniels, carl.d.sorensen, Trevor Daniels, Graham Percival (old account)
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

DOC: NR Dynamics context and postfix dynamics Add description of the new Dynamics context, and of the new postfix \cresc, etc. No rearranging or streamlining in this patch. I can submit a follow-on patch for that later, if there is desire. You might see a redundant redefinition of \cresc, ect, in first Snippet for Sec. 1.8.1 "Writing Text Spanners". The source snippet, however, was updated several months ago. Its current version in input\regression\dynamics-text-spanner-postfix.ly will be great for sec.1.8.1, and unless told otherwise I will assume the new version will appear after it gets texidoc translation, and not worry.

Patch Set 1 #

Total comments: 12

Patch Set 2 : DOC: NR Dynamics, second draft #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -55 lines) Patch
M Documentation/notation/expressive.itely View 1 4 chunks +49 lines, -14 lines 2 comments Download
M Documentation/notation/keyboards.itely View 1 4 chunks +11 lines, -15 lines 0 comments Download
M Documentation/notation/text.itely View 2 chunks +1 line, -5 lines 0 comments Download
M Documentation/snippets/new/dynamics-text-spanner-postfix.ly View 1 2 chunks +3 lines, -21 lines 2 comments Download

Messages

Total messages: 15
Carl
This looks even better to me. Thanks! I have a few comments below. I'm delighted ...
8 years, 6 months ago (2010-12-22 04:31:22 UTC) #1
Keith
> The snippets in input/regression/ are *not* part of the documentation Now I see. I ...
8 years, 6 months ago (2010-12-22 21:43:37 UTC) #2
Carl
On 2010/12/22 21:43:37, Keith wrote: > > The snippets in input/regression/ are *not* part of ...
8 years, 6 months ago (2010-12-22 21:50:27 UTC) #3
Carl
Your thoughts generally look good to me, but I'll need to see a patch before ...
8 years, 6 months ago (2010-12-22 22:14:55 UTC) #4
Trevor Daniels
My comments on the two discussion points below. http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely File Documentation/notation/expressive.itely (right): http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely#newcode366 Documentation/notation/expressive.itely:366: Textual ...
8 years, 6 months ago (2010-12-22 22:58:18 UTC) #5
Carl
http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely File Documentation/notation/expressive.itely (right): http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely#newcode366 Documentation/notation/expressive.itely:366: Textual crescendo marks begin with @code{\cresc} On 2010/12/22 22:58:18, ...
8 years, 6 months ago (2010-12-22 23:40:34 UTC) #6
Trevor Daniels
http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely File Documentation/notation/expressive.itely (right): http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely#newcode366 Documentation/notation/expressive.itely:366: Textual crescendo marks begin with @code{\cresc} I think so. ...
8 years, 6 months ago (2010-12-23 00:21:02 UTC) #7
Carl
http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely File Documentation/notation/expressive.itely (right): http://codereview.appspot.com/3743045/diff/1/Documentation/notation/expressive.itely#newcode366 Documentation/notation/expressive.itely:366: Textual crescendo marks begin with @code{\cresc} On 2010/12/23 00:21:03, ...
8 years, 6 months ago (2010-12-23 01:46:36 UTC) #8
Keith
Thanks for the comments. Second patch set is up. The new patch corresponds to the ...
8 years, 6 months ago (2010-12-23 04:11:34 UTC) #9
Carl
On 2010/12/23 04:11:34, Keith wrote: > Thanks for the comments. Second patch set is up. ...
8 years, 6 months ago (2010-12-23 04:27:06 UTC) #10
Keith
> I don't see a patch to convertrules.py. > [...] Am I missing something? Reinhold ...
8 years, 6 months ago (2010-12-23 04:41:43 UTC) #11
Carl
On 2010/12/23 04:41:43, Keith wrote: > > I don't see a patch to convertrules.py. > ...
8 years, 6 months ago (2010-12-23 04:54:03 UTC) #12
Trevor Daniels
OK, I think we've haggled over this enough :) Keith, could you please fix the ...
8 years, 6 months ago (2010-12-23 13:49:50 UTC) #13
k-ohara5A5A_oco.net
-------- Original Message -------- > From: tdanielsmusic@googlemail.com > Keith, could you please fix the haripins, ...
8 years, 6 months ago (2010-12-23 23:03:09 UTC) #14
t.daniels_treda.co.uk
8 years, 6 months ago (2010-12-24 00:29:58 UTC) #15
Thanks Keith - checked and pushed to origin/master.

Trevor

----- Original Message ----- 
From: "Keith OHara" <k-ohara5A5A@oco.net>
To: <carl.d.sorensen@gmail.com>; <tdanielsmusic@googlemail.com>; 
<percival.music.ca@gmail.com>; <lilypond-devel@gnu.org>; 
<reply@codereview.appspotmail.com>; <carl.d.sorensen@gmail.com>; 
<percival.music.ca@gmail.com>
Cc: <lilypond-devel@gnu.org>; <reply@codereview.appspotmail.com>
Sent: Thursday, December 23, 2010 11:02 PM
Subject: Re: DOC: NR Dynamics context and postfix dynamics 
(issue3743045)


> -------- Original Message --------
>> From: tdanielsmusic@googlemail.com
>> Keith, could you please fix the haripins, decide on the wording 
>> you
>> prefer, and let me have a patch to push.
>>
>
> Patch attached, and issue closed.
> -Keith
> 

Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b